import { __extends, __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { DefaultButton } from '../DefaultButton/DefaultButton.js';

var PrimaryButton = function(_super) {
  __extends(PrimaryButton2, _super);
  function PrimaryButton2() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  __decorate([
    Prop({ type: Boolean, default: true }),
    __metadata("design:type", Boolean)
  ], PrimaryButton2.prototype, "primary", void 0);
  PrimaryButton2 = __decorate([
    Component
  ], PrimaryButton2);
  return PrimaryButton2;
}(DefaultButton);

export { PrimaryButton };
